<ion-header ion-fixed class="home" *ngIf="platform.isPortrait() || platform.isLandscape()" >
  <ion-navbar no-border-bottom>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Jadwal Seminar Perpajakan</ion-title>

    <ion-buttons end>
      <button ion-button icon-only (click)="openSearch()">
        <ion-icon ios="md-search" md="md-search"></ion-icon>
      </button>
      <button ion-button icon-only (click)="openSetting()">
        <ion-icon ios="md-more" md="md-more"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
  <div *ngIf="!stateSearch">
    <ion-toolbar no-border-top>
      <ion-buttons end>
        <button ion-button icon-only (click)="addEvent()">
          <ion-icon name="add"></ion-icon>
        </button>
      </ion-buttons>
      <ion-searchbar color="primary"
                     [(ngModel)]="queryText"
                     placeholder=" Search">
      </ion-searchbar>
    </ion-toolbar>
  </div>
  <ion-segment *ngIf="platform.isPortrait()" style="background-color:#bbc3cc;" [(ngModel)]="segment">
    <ion-segment-button value="calendar" style="color:white">
      <b>Bulan Ini</b>
    </ion-segment-button>
    <ion-segment-button value="list" style="color:white">
      <b>Semua Seminar</b>
    </ion-segment-button>
  </ion-segment>

</ion-header>

<ion-content class="home" >
  <ion-calendar ion-fixed *ngIf="segment == 'calendar' && platform.isPortrait()" [options]="calendarOptions" 
  style="padding:0;margin:0" [(ngModel)]="date" (monthChange)="monthChange($event)" 
  (onChange)="onChange($event)" [type]="type" [format]="'YYYY-MM-DD'">
  </ion-calendar>
  <ion-list *ngIf="segment == 'calendar'" style="margin-top:330px">
    <ion-item style="margin-bottom:10px" *ngFor="let data of listSeminarMonth" (click)="goToDetail(data.id)">
        <p><b><small>{{convertDateText(data.seminar_start)}} - {{convertDateText(data.seminar_end)}}</small></b></p>
        <ion-thumbnail item-start style="width:50px;height:50px;min-height:50px;min-width:50px">
          <img style="padding:5px;width:50px;height:50px" src="assets/img/calendar-blue.png">
        </ion-thumbnail>
        <h2 style="white-space: normal !important;">{{data.title}} <small><b>({{statusDateConvert(data.pendaftaran_end)}})</b></small></h2>
        <p>Pendaftaran : {{data.pendaftaran_start}} - {{data.pendaftaran_end}}</p>
      </ion-item>
  </ion-list>

  <ion-list *ngIf="segment == 'list' && platform.isPortrait() ">
    <ion-item style="margin-bottom:10px" *ngFor="let data of listSeminar" (click)="goToDetail(data.id)">
      <p><b><small>{{convertDateText(data.seminar_start)}} - {{convertDateText(data.seminar_end)}}</small></b></p>
      <ion-thumbnail item-start style="width:50px;height:50px;min-height:50px;min-width:50px">
        <img style="padding:5px;width:50px;height:50px" src="assets/img/calendar-blue.png">
      </ion-thumbnail>
      <h2 style="white-space: normal !important;">{{data.title}} <small><b>({{statusDateConvert(data.pendaftaran_end)}})</b></small></h2>
      <p>Pendaftaran : {{data.pendaftaran_start}} - {{data.pendaftaran_end}}</p>
    </ion-item>
  </ion-list>
</ion-content>
<ion-content class="home" *ngIf="platform.isLandscape()">
<div *ngIf="platform.isLandscape()" style="align-object:center; text-align:center">
	<img style="height: 50%;width: 50%;object-fit: contain; margin-top:10%" [src]="putarArah">
</div>
</ion-content>
